#userManagement {
    height: auto;
    width: 100%;
    margin-top: 50px;
    font-family: 'Prompt-Regular', sans-serif;
    @mixin fontData ($size, $weight, $color) {
        font-size: $size !important;
        font-weight: $weight !important;
        color: $color;
    }
    @mixin inputData($weight) {
        padding: 5px;
        width: $weight;
        height: 30px;
        font-size: 14px;
        border: solid 1px #c4c4c4;
        border-radius: 4px;
        box-sizing: border-box
    }
    @mixin buttonData ($fontColor, $backgroundColor, $borderColor){
        margin-top: -2px;
        width: 80px;
        height: 34px;
        border-radius: 4px;
        background-color: $backgroundColor;
        border: 1px solid $borderColor;
        cursor: pointer;
        color: $fontColor;
    }
    button:focus {
        outline: none;
    }
    input::placeholder {
        color: #c4c4c4;
    }
    #bodyBox {
        position: relative;
        height: auto;
        width: fit-content;
        max-width: 1590px;
        .topic-font {
            @include fontData(34px, 500, #333333);
        }
        .add-user {
            margin-top: 20px;
            .add-user-button {
                @include buttonData(#ffffff, #5fa548, #5fa548);
                &:hover {
                    background-color: #487b37;
                    border-color: #487b37;
                }
            }
        }
        .form-input {
            margin-top: 20px;
            display: flex;
            .input-name {
                margin-right: 10px;
                @include inputData(200px);
            }
            .input-nickname {
                margin: 0 10px;
                @include inputData(130px);
            }
            .input-age {
                @include inputData(50px);
            }
            .save-button {
                margin-right: 10px;
                @include buttonData(#ffffff, #4e7afb, #4e7afb);
                &:hover {
                    background-color: #3f60c1;
                    border-color: #3f60c1;
                }
            }
            .cancel-button {
                @include buttonData(#b1b1b1, #ffffff, #c3c3c3);
                &:hover {
                    color: #bf6868;
                    border-color: #bf6868;
                }
            }
        }
    }
}
